import { F as a, G as s, o as t, z as n, x as i, c as u } from "./index-597e6e44.mjs";
import "vue";
function r({ config: e, fullConfig: l }) {
  const o = a("el-row", { config: e });
  return o["#"] = c(e), o;
}
function c(e) {
  const l = [];
  for (const o of e._container || [])
    l.push(p(o));
  return l;
}
function p(e) {
  const l = s("el-col", { config: e });
  return l.xs = 24, l;
}
const f = {
  key: "_layout",
  name: t("_.builtIn.element.layout.name"),
  description: t("_.builtIn.element.layout.description"),
  icon: "mdiViewGridOutline",
  sequence: 1,
  transform: r,
  editor: {
    basic: {
      ui: [
        n("gutter", t("_.builtIn.element.layout.gutter")),
        i(
          "justify",
          ["start", "end", "center", "space-around", "space-between", "space-evenly"],
          t("_.builtIn.element.layout.justify")
        ),
        i(
          "align",
          [
            { value: "top", label: t("_.builtIn.element.layout.align_top") },
            { value: "middle", label: t("_.builtIn.element.layout.align_middle") },
            { value: "bottom", label: t("_.builtIn.element.layout.align_bottom") }
          ],
          t("_.builtIn.element.layout.align")
        ),
        {
          "~component": "lc-editable-list",
          "~label": t("_.builtIn.element.layout.cols"),
          "~prop": "_container",
          init: { span: 24 },
          labelColumn: "span",
          editConfig: [
            n("span", t("_.builtIn.element.layout.cols_span")),
            n("offset", t("_.builtIn.element.layout.cols_offset")),
            n("push", t("_.builtIn.element.layout.cols_push")),
            n("pull", t("_.builtIn.element.layout.cols_pull"))
          ]
        }
      ],
      init: {
        gutter: 0,
        justify: "start",
        align: "top",
        _container: [
          { span: 12, offset: 0, push: 0, pull: 0, key: u() },
          { span: 12, offset: 0, push: 0, pull: 0, key: u() },
          { span: 24, offset: 0, push: 0, pull: 0, key: u() }
        ]
      }
    },
    display: {
      init: {
        style: {
          width: "100%"
        },
        class: ""
      }
    }
  }
};
export {
  f as default
};
